zenilib: zenilib/jni/external/sdl/src/libm/e_sqrt.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
e_sqrt.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`

Go to the source code of this file.

## Functions

| EXTRACT_WORDS (ix0, ix1, x)
| if ((ix0 &0x7ff00000)==0x7ff00000)
| if (ix0<=0)
| if (m==0)
| if (m &1)
| if ((ix0|ix1)!=0)
| INSERT_WORDS (z, ix0, ix1)
| while (r!=0)

## Variables

int32_t | i
int32_t | ix0 = (ix0 & 0x000fffff) | 0x00100000
u_int32_t | ix1 = ix1
int32_t | m = (ix0 >> 20)
static double | one = 1.0
int32_t | q = q1 = s0 = s1 = 0
u_int32_t | q1
u_int32_t | r = 0x00200000
int32_t | s0
u_int32_t | s1
int32_t | sign = (int) 0x80000000
int32_t | t
u_int32_t | t1
static double | tiny = 1.0e-300
double attribute_hidden double | x
return | z

## Function Documentation

EXTRACT_WORDS | ( | ix0 | ,
|  | ix1 | ,
|  | x |
| ) |  |

if | ( | (ix0 &0x7ff00000) | = `= 0x7ff00000` | ) |

Definition at line 114 of file e_sqrt.c.

if | ( | ix0<= | 0 | ) |

Definition at line 119 of file e_sqrt.c.

if | ( | m | = `= 0` | ) |

Definition at line 127 of file e_sqrt.c.

References i.

if | ( | m & | 1 | ) |

Definition at line 141 of file e_sqrt.c.

References ix1, and sign.

if | ( | (ix0|ix1)! | = `0` | ) |

Definition at line 185 of file e_sqrt.c.

References one, and tiny.

INSERT_WORDS | ( | z | ,
|  | ix0 | ,
|  | ix1 |
| ) |  |

Referenced by floor().

while | ( | r! | = `0` | ) |

Definition at line 153 of file e_sqrt.c.

References ix1, and sign.

## Variable Documentation

int32_t i

Definition at line 108 of file e_sqrt.c.

ix0 = (ix0 & 0x000fffff) | 0x00100000

Definition at line 108 of file e_sqrt.c.

ix1 = ix1

Definition at line 109 of file e_sqrt.c.

Referenced by if(), and while().

m = (ix0 >> 20)

Definition at line 108 of file e_sqrt.c.

double one = 1.0

static

Definition at line 94 of file e_sqrt.c.

Referenced by if().

q = q1 = s0 = s1 = 0

Definition at line 108 of file e_sqrt.c.

u_int32_t q1

Definition at line 109 of file e_sqrt.c.

r = 0x00200000

Definition at line 109 of file e_sqrt.c.

int32_t s0

Definition at line 108 of file e_sqrt.c.

u_int32_t s1

Definition at line 109 of file e_sqrt.c.

int32_t sign = (int) 0x80000000

Definition at line 107 of file e_sqrt.c.

Referenced by _float32_pack(), _float32_unpack(), af_latin2_compute_stem_width(), af_latin_compute_stem_width(), cff_parse_real(), EncodeALaw(), EncodeMuLaw(), if(), PS_Conv_Strtol(), PS_Conv_ToFixed(), and while().

int32_t t

Definition at line 108 of file e_sqrt.c.

u_int32_t t1

Definition at line 109 of file e_sqrt.c.

double tiny = 1.0e-300

static

Definition at line 94 of file e_sqrt.c.

Referenced by if().

double attribute_hidden double x

Definition at line 103 of file e_sqrt.c.

return z

Definition at line 206 of file e_sqrt.c.